/**
 * $name:  The variant name
 * $color: The color name
 *
 * The color should have corresponding CSS variables:
 *    --state-color-<color>
 *    --state-color-<color>-alt
 *    --state-color-<color>--hover
 *    --state-color-<color>--active
 */
@mixin variant($name, $color) {
  &.rui-badge--#{$name} {
    background-color: var(--state-color-#{$color});
    color: var(--state-color-#{$color}-alt);

    &.rui-badge--inverse {
      background-color: var(--state-color-#{$color}-alt);
      color: var(--state-color-#{$color});
    }
  }
}

.rui-badge {
  display: inline-flex;
  height: 25px;
  align-items: center;
  padding: var(--spacer-tiny) var(--spacer-small);
  border: none;
  border-radius: var(--border-radius);
  margin: 0 var(--spacer-small);
  background-color: var(--badge-background);
  color: var(--badge-color);
  font-size: var(--font-size-base);
  gap: var(--spacer-small);
  line-height: 1em;
  text-decoration: none;

  &:first-child {
    margin-left: 0;
  }

  &:last-child {
    margin-right: 0;
  }

  // Smaller badges
  &--small {
    height: 20px;
    font-size: var(--font-size-small);

    // Reduce icon size
    svg {
      height: var(--font-size-small);
    }
  }

  @include variant('danger', 'red');
  @include variant('help', 'blue');
  @include variant('success', 'green');
  @include variant('warning', 'orange');
  @include variant('mute', 'mute');
}
